Skip to main content
通常メディア アップロードURL発行
curl --request POST \
  --url https://api.utage-system.com/v1/media/upload-url \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filename": "<string>",
  "filetype": "<string>",
  "folder_id": "<string>"
}
'
import requests

url = "https://api.utage-system.com/v1/media/upload-url"

payload = {
"filename": "<string>",
"filetype": "<string>",
"folder_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filename: '<string>', filetype: '<string>', folder_id: '<string>'})
};

fetch('https://api.utage-system.com/v1/media/upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "media_id": "<string>",
    "presigned_post": {
      "url": "<string>",
      "fields": {
        "key": "<string>",
        "Content-Type": "<string>",
        "acl": "<string>",
        "X-Amz-Algorithm": "<string>",
        "X-Amz-Credential": "<string>",
        "X-Amz-Date": "<string>",
        "Policy": "<string>",
        "X-Amz-Signature": "<string>"
      }
    },
    "expires_at": "<string>",
    "notice": "<string>"
  }
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}
{
"error": {
"code": "unauthorized",
"message": "認証に失敗しました"
}
}
{
"error": {
"code": "not_found",
"message": "ユーザーが見つかりません"
}
}
{
"error": {
"code": "storage_limit_exceeded",
"message": "容量を超えました。ファイルを削除してください。"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "リクエスト上限を超えました。しばらく時間を空けて再試行してください"
}
}
POST
https://api.utage-system.com/v1/media/upload-url
アップロードは2段階で行います。
  1. このエンドポイントで presigned_post(アップロード先URLとフォームフィールド)を取得します。
  2. 取得した presigned_post.url に対し、presigned_post.fields を全て含めた multipart/form-data でファイル本体をPOSTします(file フィールドは最後に追加)。
  3. アップロード完了後、アップロード完了通知 を呼び出してファイルを確定します。
動画・音声のMIMEタイプも指定できますが(LINE送信用)、その場合はファネル・会員サイトの動画/音声要素では再生できません。要素で再生する動画・音声は 動画用 / 音声用 のアップロードURLを使用してください。

Authorizations

Authorization
string
header
required

APIキーをBearerトークンとして指定

Body

application/json
filename
string
required

ファイル名(拡張子を含む。例: logo.png)。拡張子がない場合は400エラー

filetype
string
required

MIMEタイプ。画像・PDF・Office・テキスト・zip に加え、動画(video/mp4 等)・音声(audio/mpeg 等)も指定可能(LINE送信用)。許可外のMIMEタイプは400エラー。

folder_id
string

フォルダID(任意)。未指定時はルート直下。種別が一致しないフォルダを指定すると400エラー

Response

アップロードURL情報

data
object